# Algorithms_in_C++: machine_learning::aystar_search::AyStarSearch< Puzzle >::comparison_operator Struct Reference

Loading...
Searching...
No Matches
machine_learning::aystar_search::AyStarSearch< Puzzle >::comparison_operator Struct Reference

Custom comparator for open_list. More...

## Public Member Functions

bool | operator() (const std::shared_ptr< Info > &a, const std::shared_ptr< Info > &b) const

## Detailed Description

template<typename Puzzle>
struct machine_learning::aystar_search::AyStarSearch< Puzzle >::comparison_operator

Custom comparator for open_list.

## Member Function Documentation

## operator()()

template<typename Puzzle >

bool machine_learning::aystar_search::AyStarSearch< Puzzle >::comparison_operator::operator() | ( | const std::shared_ptr< Info > & | a,
|  | const std::shared_ptr< Info > & | b
| ) |  | const

inline

{
return *(a->state) < *(b->state);
}

The documentation for this struct was generated from the following file:

- machine_learning/a_star_search.cpp